IAcSmCustomPropertyValue
IAcSmDatabase オブジェクトのカスタムプロパティ値へのインターフェイス。
使用可能なメソッド
(setq cad (vlax-get-acad-object)) (setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr")) (setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile)) (setq sheetset (vlax-invoke-method smdb 'GetSheetSet)) (setq custProps (vlax-invoke-method sheetset "GetCustomPropertyBag")) (setq iter (vlax-invoke-method custProps 'GetPropertyEnumerator)) (vlax-invoke-method iter 'Next 'propname 'propobj)
項目 | 内容 |
---|---|
GetValue | 関連する VARIANT 値を返す。
setq res (vlax-invoke-method propobj 'GetValue)) HRESULT GetValue ([out, retval] VARIANT* value) |
SetValue | 関連するVARIANTの値を代入する
(vlax-invoke-method propobj 'SetValue "New Text") HRESULT SetValue ([in] VARIANT value) |
GetFlags | この値に関連するプロパティフラグを返す。
(setq flags (vlax-invoke-method propobj 'GetFlags)) HRESULT GetFlags ([out, retval] PropertyFlags* flags) |
SetFlags | この値に関連するプロパティフラグを代入する。
(vlax-invoke-method propobj 'SetFlags flags) HRESULT SetFlags ([in] PropertyFlags flags) |